html,
body {
background:white;
}

div.contain {
position:relative;
}

a {
color:steelblue;
}

ul {
list-style-type:none;
}

div.contain header {
background-color:steelblue;
background-image:url('https://i.imgur.com/fm1ZGtM.jpg');
background-repeat:no-repeat;
background-position:50% 50%;
background-size:cover;
background-blend-mode:color-burn;
height:200px;
padding:20px;
}

header h1 {
font-size:20px;
font-weight:600;
color:aliceblue;
margin-bottom:20px;
}

header p {
color:aliceblue;
text-align:right;
margin-bottom:70px;
}

header ul {
width:100%;
display:flex;
justify-content:center;
}

header ul li {
border-radius:3px 0 0 0;
color:aliceblue;
background-color:steelblue;
box-shadow:3px 3px 0 0 darkslateblue;
margin:5px 6px;
padding:3px 8px;
}

header ul li a {
color:aliceblue;
}

nav {
background-color:aliceblue;
position:fixed;
top:0;
left:0;
width:100%;
height:100%;
display:block;
overflow-y:scroll;
}

nav:not(:target) {
z-index:-1;
opacity:0;
transform:translate(0,-100%);
transition:0.4s;
}

nav:target {
z-index:5;
opacity:1;
transform:translate(0,0);
transition:0.4s;
}

nav h2 {
font-size:18px;
font-weight:600;
color:aliceblue;
background-color:steelblue;
width:100%;
height:100px;
margin-bottom:20px;
padding:10px 20px;
}

nav h2 i {
color:#acf;
margin-top:15px;
display:block;
}

a.back {
position:absolute;
top:20px;
right:10px;
width:26px;
height:26px;
line-height:26px;
text-align:center;
display:block;
}

a.back i {
font-size:28px;
color:aliceblue;
}

nav h3 {
font-size:14px;
font-weight:600;
color:aliceblue;
background-color:steelblue;
box-shadow:3px 3px 0 0 darkslateblue;
margin:0 10px;
padding:5px 20px;
display:inline-block;
}

nav h3:first-letter {
font-size:18px;
color:blue;
margin-right:3px;
}

nav div,
nav ul {
color:steelblue;
line-height:180%;
margin-bottom:20px;
padding:10px 20px;
}

nav div {
white-space:pre-line;
}

nav ul.author {
padding:20px 10px;
}

nav ul.author img {
width:100px;
height:100px;
margin-right:10px;
float:left;
object-fit:cover;
object-position:50% 50%;
}

nav div.mailbox input,
nav div.mailbox textarea {
color:steelblue;
height:30px;
margin-bottom:10px;
padding:5px;
}

nav div.mailbox textarea {
width:100%;
height:100px;
margin-bottom:20px;
}

nav div.mailbox input[type="submit"] {
color:aliceblue;
background-color:steelblue;
padding:5px 20px;
}

div.contain main {
padding:20px;
}

div.counter {
color:steelblue;
text-align:right;
margin-bottom:10px;
}

div.announce {
margin-bottom:20px;
white-space:pre-line;
}

div.announce a {
margin-bottom:10px;
}

div.announce i {
color:red;
}

div.code {
min-height:440px;
padding:10px;
}

